<?xml version = '1.0' encoding = 'UTF-8'?>
<Entity class="oracle.dbtools.crest.model.design.logical.Entity" directorySegmentName="seg_0" id="E445735C-7215-FCC7-57EA-5459A61530B8" name="T_RT_CLIENTE_ENDERECO">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 15:53:17 UTC</createdTime>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<adequatelyNormalized>NO</adequatelyNormalized>
<expectedVolumes>0</expectedVolumes>
<fwdEngineeringStrategyName>Single Table</fwdEngineeringStrategyName>
<growthPercent>0</growthPercent>
<growthType>Year</growthType>
<maxVolumes>9999999</maxVolumes>
<minVolumes>0</minVolumes>
<normalForm>Third</normalForm>
<attributes itemClass="oracle.dbtools.crest.model.design.logical.Attribute">
<Attribute name="NR_CLIENTE" id="809132E0-C6B1-C06B-6256-11B714707A86">
<createdBy>logonpflocal</createdBy>
<createdTime>2022-03-22 23:43:37 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber a chave primária do Cliente. Seu conteúdo será incremental e preenchido pela aplicação.]]></comment>
<generatorID>C156A871-1631-F276-9128-0FDCFCCC3CEB</generatorID>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<referedAttribute>E90725AC-871E-AD51-7F23-358BE4E9B8A8</referedAttribute>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>10</dataTypePrecision>
<ownDataTypeParameters>,,</ownDataTypeParameters>
</Attribute>
<Attribute name="NR_ENDERECO" id="30B1E32A-9A5B-FEE3-8AE3-9D22938E692A">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 15:53:17 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o número do endereço do cliente que é a chave primária. Seu conteúdo será incremental e gerenciado pela aplicação.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o número do endereço do cliente que é a chave primária. Seu conteúdo será incremental e gerenciado pela aplicação.]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>3</dataTypePrecision>
<ownDataTypeParameters>,3,</ownDataTypeParameters>
</Attribute>
<Attribute name="SG_ESTADO" id="72C85FEA-9119-E995-967A-50FEAF4A4691">
<createdBy>logonpflocal</createdBy>
<createdTime>2022-03-22 23:32:57 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber a sigla do Estado do Endereço. Seu conteúdo é obrigatório e deve ser cadastrado no padrão maiúsculo.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber a sigla do Estado do Endereço. Seu conteúdo é obrigatório e deve ser cadastrado no padrão maiúsculo.]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT025</logicalDatatype>
<dataTypeSize>2</dataTypeSize>
<ownDataTypeParameters>2,,</ownDataTypeParameters>
</Attribute>
<Attribute name="NM_ESTADO" id="AE51936C-7F45-3577-E8D7-39E1230150DC">
<createdBy>logonrmlocal</createdBy>
<createdTime>2022-03-30 00:50:42 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o nome do estado  do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o nome do estado  do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap. Rio de Janeiro]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>30</dataTypeSize>
<ownDataTypeParameters>30,,</ownDataTypeParameters>
</Attribute>
<Attribute name="DS_ENDERECO" id="1046A16D-A5A7-43D1-D69F-00AD52CFBD42">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 15:53:17 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>90</dataTypeSize>
<ownDataTypeParameters>90,,</ownDataTypeParameters>
</Attribute>
<Attribute name="NM_MUNICIPIO" id="1B2DC8E2-8C79-8126-9C65-6EF2861FACA3">
<createdBy>logonpflocal</createdBy>
<createdTime>2022-03-18 13:50:22 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o munícipio do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o munícipio do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>60</dataTypeSize>
<ownDataTypeParameters>60,,</ownDataTypeParameters>
</Attribute>
<Attribute name="NM_BAIRRO" id="A4F0E23E-ACE3-6C42-7A5E-ED7C3EB4B7D9">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 15:53:17 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o nome do bairro  do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o nome do bairro  do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>60</dataTypeSize>
<ownDataTypeParameters>60,,</ownDataTypeParameters>
</Attribute>
<Attribute name="NR_CEP" id="973DDC93-9643-46CC-65A2-42CCF9B4D979">
<createdBy>logonpflocal</createdBy>
<createdTime>2022-03-22 23:34:14 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o número do CEP do Endereço. Seu conteúdo é obrigatório e deve ser cadastrado como numérico, sem zeros a esquerda.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o número do CEP do Endereço. Seu conteúdo é obrigatório e deve ser cadastrado como numérico, sem zeros a esquerda.]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<dataTypePrecision>8</dataTypePrecision>
<ownDataTypeParameters>,8,</ownDataTypeParameters>
</Attribute>
<Attribute name="NM_CIDADE" id="AAB762BB-BA92-5CEC-2181-67F604D3C065">
<createdBy>logonrmlocal</createdBy>
<createdTime>2022-03-30 00:52:33 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o nome da cidade  do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o nome da cidade  do endereço do cliente. Seu conteúdo é obrigatório e deve ser cadastrado no padrão InitCap. EX: Niterói.]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>30</dataTypeSize>
<ownDataTypeParameters>30,,</ownDataTypeParameters>
</Attribute>
<Attribute name="DS_PONTO_REFERENCIA" id="C0B3ADA8-552F-8CFA-1C0B-B7DA1D633475">
<createdBy>logonrmlocal</createdBy>
<createdTime>2022-03-30 00:52:42 UTC</createdTime>
<comment><![CDATA[Esse atributo irá receber o ponto de referencia do endereço do cliente. NÃO É OBRIGATORIO  e deve ser cadastrado no padrão InitCap.]]></comment>
<commentInRDBMS><![CDATA[Esse atributo irá receber o ponto de referencia do endereço do cliente. NÃO É OBRIGATORIO  e deve ser cadastrado no padrão InitCap. EX: Ao lado do prédio da faculdade FIAP]]></commentInRDBMS>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<nullsAllowed>true</nullsAllowed>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT024</logicalDatatype>
<dataTypeSize>800</dataTypeSize>
<ownDataTypeParameters>800,,</ownDataTypeParameters>
</Attribute>
</attributes>
<identifiers itemClass="oracle.dbtools.crest.model.design.logical.CandidateKey">
<identifier id="FA64C37F-E621-742F-74CF-016A9033E1CF" name="PK_RT_CLIENTE_ENDERECO">
<createdBy>Gustavo Padlipskas</createdBy>
<createdTime>2021-03-31 15:53:17 UTC</createdTime>
<ownerDesignName>Proj_Logico_RioTec</ownerDesignName>
<engineerTo>
<item key="3B900023-A8F4-1D43-7275-0ABB8837388D" value="true"/>
</engineerTo>
<pk>true</pk>
<newElementsIDs>30B1E32A-9A5B-FEE3-8AE3-9D22938E692A,C156A871-1631-F276-9128-0FDCFCCC3CEB</newElementsIDs>
<usedAttributes>
<attributeRef>30B1E32A-9A5B-FEE3-8AE3-9D22938E692A</attributeRef>
<attributeRef>809132E0-C6B1-C06B-6256-11B714707A86</attributeRef>
</usedAttributes>
</identifier>
</identifiers>
</Entity>
